# Get payment methods Consult all the available payment methods and obtain a list with the details of each one and its properties. **GET** `/v1/payment_methods` ## Response parameters This endpoint has no response body. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 1000 | the credentials are required. | | 400 | 1001 | public_key not found. | | 401 | unauthorized | unauthorized. | | 404 | not_found | not_found. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/payment_methods' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json [ { "id": "master", "name": "master", "payment_type_id": "credit_card", "status": "active", "secure_thumbnail": "https://www.mercadopago.com/org-img/MP3/API/logos/visa.gif", "thumbnail": "http://img.mlstatic.com/org-img/MP3/API/logos/visa.gif", "deferred_capture": "supported", "settings": { "card_number": { "length": 16, "validation": "standard" }, "security_code": { "mode": "mandatory", "length": 3, "card_location": "back" } }, "additional_info_needed": [ null ], "min_allowed_amount": 0.5, "max_allowed_amount": 60000, "accreditation_time": 2880, "financial_institutions": { "id": 0, "description": "string" }, "processing_modes": "aggregator" } ] ```